using System.Text.Json.Serialization;

namespace JSMR.Infrastructure.Integrations.DLSite.Models.NewWorks;

public record NewWorksApiMeta
{
    [JsonPropertyName("code")]
    public int Code { get; init; }

    [JsonPropertyName("errorMessage")]
    public string ErrorMessage { get; init; } = string.Empty;

    [JsonPropertyName("errorType")]
    public string ErrorType { get; init; } = string.Empty;
}